Subject: bug#68929: [PATCH] Copy which-key from GNU ELPA into core

From: Jeremy Bryant <[email-masked]>
Date: Thu, 08 Feb 2024 22:25:39 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Jeremy Bryant <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>  [email-masked]
>> Date: Wed, 07 Feb 2024 21:53:55 +0000
>> 
>> Is there a natural place in the Emacs manual (Perhaps "Other Help
>> Commands"?) to add a new section on M-x which-key? WDYT?
>
> Will the section be very long?  How long?
>
> If it's not very long, I think the right place is in "Key Help",
> perhaps as a separate subsection below it.  Also, I think which-key
> should be briefly mentioned in "Display Custom", where echo-keystrokes
> is described.
>
> If the section about which-key you envision is supposed to be long and
> detailed, perhaps it would be better to have a separate manual with
> all that stuff, whereas the Emacs user manual should have only a short
> description of the main features, and a cross-reference to the
> separate manual.

I would propose to make a new section short enough to belong in the main
Emacs manual, as which-key's "keymay discovery" perspective should be
easier to find.

I can volunteer to write a draft and confer with Justin, the actual
author, for completeness.